Table of Contents

Class: DccFileReceiveBasic | Twisted-0.17.4/twisted/protocols/irc.py
--- | ---

### Bare protocol to receive a Direct Client Connection SEND stream.

This does enough to keep the other guy talking, but you'll want to extend my dataReceived method to do something with the data I get.

Base Classes |
--- | ---
protocol.Protocol styles.Ephemeral

Methods |
--- | ---
__init__ dataReceived
| __init__

    __init__ ( self )

| dataReceived

    dataReceived ( self,  data )

### Called when data is received.

Warning: This just acknowledges to the remote host that the data has been received; it doesn't do anything with the data, so you'll want to override this.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0